Subject: Bug#1503: [X2Go-Dev] Bug#1503: x2goagent coredump on fedora 33

From: Gianluca Parmiggiani <[email-masked]>
Date: Wed, 4 Nov 2020 18:17:02 +0100

Should be latest (released):
$ nxagent -version
NXAGENT - Version 3.5.99.24
Thanks for the advice, if I'll find the time I will try to recompile
nxagent from sources and report back.
Gian.

Il giorno mer 4 nov 2020 alle ore 15:55 Ulrich Sibiller <
[email-masked]> ha scritto:

> What version of nxagent do you have installed on the server?
>
> There will be a 3.5.99.25 release in the next days (hopefully) which
> fixes some crashes. If you do not want to wait you can compile your
> own version from this tree: https://github.com/ArcticaProject/nx-libs
> (Instructions in the README.md)
>
> Uli
>
> On Wed, Nov 4, 2020 at 2:40 PM Gianluca Parmiggiani
> <[email-masked]> wrote:
> >
> > Package: x2goagent
> > Version: 4.1.0.3
> >
> > After upgrading from fedora workstation 32 to fedora workstation 33 I'm
> no longer able to use x2go for remote work (I asked a linux workstation and
> configured it myself). X2go has been running fine since f31.
> > Often after a reboot I can still use x2go for some minutes then it
> starts to close unexpectedly even after a few seconds or when opening new
> windows after session creation.
> >
> > Here is one of the many core dumps:
> >
> >            PID: 4390 (x2goagent)
> >            UID: 1000 (gparmiggiani)
> >            GID: 1000 (gparmiggiani)
> >         Signal: 6 (ABRT)
> >      Timestamp: Tue 2020-11-03 12:58:16 CET (19h ago)
> >   Command Line: x2goagent -nolisten tcp -nolisten tcp -dpi 144 -R -auth
> /home/gparmiggiani/.Xauthority -geometry 3840x2100 -name
> X2GO-gparmiggiani-50-1604404680_stRx2go-sess-run_dp32 :50
> >     Executable: /usr/bin/nxagent
> >  Control Group: /user.slice/user-1000.slice/session-6.scope
> >           Unit: session-6.scope
> >          Slice: user-1000.slice
> >        Session: 6
> >      Owner UID: 1000 (gparmiggiani)
> >        Boot ID: d09cf916ba0d4b8ead05e250501dccd1
> >     Machine ID: d1ab05e432c24567859f109be8523fab
> >       Hostname: ilmarin.xxx.yyy
> >        Storage:
> /var/lib/systemd/coredump/core.x2goagent.1000.d09cf916ba0d4b8ead05e250501dccd1.4390.1604404696000000.zst
> >        Message: Process 4390 (x2goagent) of user 1000 dumped core.
> >
> >                 Stack trace of thread 4390:
> >                 #0  0x00007f08394a2bc5 raise (libc.so.6 + 0x3dbc5)
> >                 #1  0x00007f083948b8a4 abort (libc.so.6 + 0x268a4)
> >                 #2  0x00007f08394e5127 __libc_message (libc.so.6 +
> 0x80127)
> >                 #3  0x00007f083957647a __fortify_fail (libc.so.6 +
> 0x11147a)
> >                 #4  0x00007f0839576446 __stack_chk_fail (libc.so.6 +
> 0x111446)
> >                 #5  0x000055da7fbec3b1 nxagentCollectPropertyEvent
> (nxagent + 0xbc3b1)
> >                 #6  0x000055da7fbcfb43 nxagentDispatchEvents (nxagent +
> 0x9fb43)
> >                 #7  0x000055da7fbd678a nxagentWakeupHandler (nxagent +
> 0xa678a)
> >                 #8  0x000055da7fbbb153 WaitForSomething (nxagent +
> 0x8b153)
> >                 #9  0x000055da7fb93cca Dispatch (nxagent + 0x63cca)
> >                 #10 0x000055da7fb7262e main (nxagent + 0x4262e)
> >                 #11 0x00007f083948d1a2 __libc_start_main (libc.so.6 +
> 0x281a2)
> >                 #12 0x000055da7fb74a1e _start (nxagent + 0x44a1e)
> >
> > Please let me know if you need more info or testing, the problem is
> always reproducible.
> > Thanks in advance,
> > Gianluca.
> > _______________________________________________
> > x2go-dev mailing list
> > [email-masked]
> > https://lists.x2go.org/listinfo/x2go-dev
>